Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Name:		oidentd
Version:	2.0.8
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/ojnk/%{name}-%{version}.tar.gz
# Source0-md5:	c3d9a56255819ef8904b867284386911
Source1:	%{name}.init
Source2:	%{name}.users
Source3:	%{name}.sysconfig
Source4:	%{name}.conf
Source5:	%{name}.inetd
Patch0:		%{name}-ip_conntrack.diff
Patch1:		%{name}-multiple-ip.patch
Patch2:		%{name}-bind-to-ipv6-too.patch
Patch3:		%{name}-linux-2.6.21.patch     
URL:		http://ojnk.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{name}-init = %{version}-%{release}
Provides:	identserver
Obsoletes:	linux-identd
Obsoletes:	linux-identd-inetd
Obsoletes:	linux-identd-standalone
Obsoletes:	midentd
Obsoletes:	nidentd
Obsoletes:	pidentd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Oidentd is an ident (rfc1413) daemon that runs on Linux, FreeBSD,
OpenBSD and Solaris 2.x. Oidentd supports most features of pidentd
plus more. Most notably, oidentd allows users to specify the identd
response that the server will output when a successful lookup is
completed. Oidentd supports IP masqueraded connections on Linux, and
is able to forward requests to hosts that masq through the host on
which oidentd runs.

%description -l pl.UTF-8
Oident jest serwerem usługi ident (zgodnym z rfc1413) działającym pod
kontrolą systemów operacyjnych takich jak Linux, FreeBSD, OpenBSD oraz
Solaris 2.x. Oident posiada większość funkcji programu pidentd oraz
trochę dodatkowych. Jedną z nich jest to, że oident pozwala
użytkownikom na zmianę swojej nazwy przesyłanej przez serwer na
dowolną inną. Dodatkowo wspiera przesyłanie odwołań do usługi ident
poprzez IP masqueradeing.

%package inetd
Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	rc-inetd
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	oidentd-standalone
Conflicts:	%{name} <= 2.0.7-1

%description inetd
This package allows to start oidentd as inetd service.

%description inetd -l pl.UTF-8
Ten pakiet pozwala na wystartowanie oidentd jako servis inetd.

%package standalone
Summary:	Ident server with masquerading support
Summary(pl.UTF-8):	Serwer ident z obsługą maskowanych adresów IP
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts
Provides:	%{name}-init = %{version}-%{release}
Obsoletes:	oidentd-inetd
Conflicts:	%{name} <= 2.0.7-1

%description standalone
This package allows to start oidentd as standalone daemon.

%description standalone -l pl.UTF-8
Ten pakiet pozwala na wystartowanie oidentd jako samodzielnego demona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{sysconfig/rc-inetd,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/oidentd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/oidentd
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/oidentd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd_masq.conf
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner %{name} -e <<EOF
###################################################################
#                                                                 #
# NOTICE:                                                         #
# You need to load 'tcp_diag' kernel module for oidentd to use    #
# netlink interface instead of (very slow) /proc/net/tcp          #
#                                                                 #
###################################################################
EOF

%post standalone
/sbin/chkconfig --add %{name}
%service oidentd restart

%preun standalone
if [ "$1" = "0" ]; then
	%service oidentd stop
	/sbin/chkconfig --del %{name}
fi

%post inetd
%service -q rc-inetd reload

%postun inetd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/oidentd_masq.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/oidentd.conf
%attr(755,root,root) %{_sbindir}/oidentd
%{_mandir}/man8/*
%{_mandir}/man5/*

%files inetd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/oidentd

%files standalone
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/oidentd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/oidentd
%changelog
* Mon Feb 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2571956
No empty pidfile/config.

* Fri Aug 20 2010 Jan Rękorajski <baggins@pld-linux.org> 8f50950
- rel 5
- properly bind to ipv6 socket
- use /proc/net/nf_conntrack on kernels 2.6.21+2.6.21+

* Fri Aug 20 2010 Jan Rękorajski <baggins@pld-linux.org> 4fb50c7
- try /proc/net/nf_conntrack too

* Fri Aug 20 2010 Jan Rękorajski <baggins@pld-linux.org> 402e22a
- properly bind on ipv6 address, see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520134
  for details

* Tue Apr 15 2008 Jan Rękorajski <baggins@pld-linux.org> 17d3931
- rel 4
- fixed mem allocation in multiple-ip patch

* Tue Apr 15 2008 Jan Rękorajski <baggins@pld-linux.org> ecbb510
- fixed allocation bug

* Mon Apr 14 2008 Jan Rękorajski <baggins@pld-linux.org> 62be2b6
- rel 3
- allow oidentd to listen on multiple specified ips

* Mon Apr 14 2008 Jan Rękorajski <baggins@pld-linux.org> 353a998
- allow -a option to be specified multiple time, thus allowing oidentd
  to listen on multiple specified ips

* Wed Mar 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 9116d7d
- try-restart added

* Tue Mar 25 2008 Elan Ruusamäe <glen@pld-linux.org> b734fb9
- forcibly change arekm habits, update this from template.init ;)

* Thu Feb 28 2008 Jan Rękorajski <baggins@pld-linux.org> 5c2090c
- rel 2
- added banner about netlink and tcp_diag kernel module
  (reading /proc/net/tcp takes 10s on machine with 32GB RAM and ~800 connections :/)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 976365a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1f9558d
- converted to UTF-8

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> 01617b6
- updated to 2.0.8

* Sun May 07 2006 deejay1 <deejay1@pld-linux.org> c3f9539
- rel up to 4

* Wed May 03 2006 shadzik <shadzik@pld-linux.org> 964bdfb
- ip_conntrack patch added, by Łukasz 'Sobi-Wan' Sobczak

* Wed May 03 2006 shadzik <shadzik@pld-linux.org> d1ae416
- new

* Mon Mar 06 2006 Elan Ruusamäe <glen@pld-linux.org> 2033e49
- use %service, fix double restart; rel 3

* Thu Jan 12 2006 Adam Gołębiowski <adamg@pld-linux.org> 1b1a9b1
- strict internal deps

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> e2ac5ec
- adapterized (sorted %verify attrs)

